aboutsummaryrefslogtreecommitdiff
path: root/scripts/gen-report
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2025-08-10 21:37:15 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2025-08-10 21:37:15 +0300
commit82c77b22605d691884be4c4e1e6bae8d66598d02 (patch)
tree040a9e97c12abc14b2ecda6bd16662b6908c083e /scripts/gen-report
parent489beadf61d05f40dd4ac40e4e5290502f7ad078 (diff)
downloadgran-82c77b22605d691884be4c4e1e6bae8d66598d02.tar.gz
gran-82c77b22605d691884be4c4e1e6bae8d66598d02.zip
make tests actually useful
+ Apparently quite a few components are currently broken, didn't even remember
Diffstat (limited to 'scripts/gen-report')
-rwxr-xr-xscripts/gen-report18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/gen-report b/scripts/gen-report
new file mode 100755
index 0000000..38e4a47
--- /dev/null
+++ b/scripts/gen-report
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+BUILD=build
+
+while getopts "d:" opt; do
+ case "$opt" in
+ d) BUILD="$OPTARG";;
+ *) echo "unregonised option -$OPTARG" >&2; exit 1;;
+ esac
+done
+
+shift $((OPTIND - 1))
+
+for p in "$@"; do
+ mkdir -p "reports/${p}"
+ timeout --foreground 30s valgrind -q --error-exitcode=1 \
+ "./${BUILD}/${p}" > "reports/${p}/log"
+done